<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
$title_item = array('','Обычное','Редкое','Эпическое','Легендарное','Мифическое','Божественное');
//
//
$rune_name = array('Отсутствует','Обычная','Редкая','Эпическая','Легендарная','Мифическая','Божественная');
//
//
$silver_item = array('','500','2000','5000','10000','20000','50000');
//
//
$count_set = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."' AND `set` = '1'")->rowCount();
$count_set2 = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."' AND `set` = '2'")->rowCount();
$count_set3 = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."' AND `set` = '3'")->rowCount();
//
//
$count3 = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '1' AND `id_user` = '".$user['id']."'")->rowCount();
//
//
$case_one1 = $silver_item[1];
$case_one2 = $silver_item[2];
$case_one3 = $silver_item[3];

$silver1 = $case_one1*$count_set;
$silver2 = $case_one2*$count_set2;
$silver3 = $case_one3*$count_set3;

$silver = intval($silver1+$silver2+$silver3);
//
//
if(isset($_GET['item_set_sell'])){
	if($count_set+$count_set2+$count_set3 <= 0){
	err2("У вас нет вещей для продажи");
		header('location:?');
		exit();
	}
	DB::$dbs->query("UPDATE `users` SET `silver` = `silver` + ? WHERE `id` = ? LIMIT 1", array($silver,$user['id']));
	DB::$dbs->query("DELETE FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `set` < ?", array($user['id'],0,4));
	ok2("Вещи успешно проданы!</font><br>Вы получили <img src='/css/img/silver.png'> ".$silver." серебра ");
	header('location:?');
	exit();
}
//
//
//
//
if(isset($_GET['item'])){
	$id = abs(intval($_GET['item']));
	$item = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],0,$id));

	if(!$item){
		header('location:?');
		exit();
	}

	$inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($item['type'],1,$user['id']));


	$param_1 = ($inv['power']+$inv['def']+$inv['hp']);
	$param_2 = ($item['power']+$item['def']+$item['hp']);

	if($param_1 > $param_2){
		$param = "<font color='red'>(-".($param_1-$param_2).")</font>";
	}
	elseif($param_1 < $param_2){
		$param = "<font color='lime'>(+".($param_2-$param_1).")</font>";
	}
//
//
//if($item['rune'] >= 1)echo "<img class='img2' src='/images/type".$item['rune'].".png'> <font color = '".$color[$item['rune']]."'> ".$dat2[$item['rune']]." руна</font> <font color = 'lime'>+".($item['rune_param']*3)."</font>"; else echo "<img src='/images/type0.png'> Руна не установлена"; 
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi"><?=$item['name'];?></span>
		        </center>
		        
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$item['set'];?>/<?=$item['type'];?>.png" width="40" height="40">
    </div> 
    <u><font color="<?=$color[$item['set']];?>"><?=$item['name'];?></font></u>
    <br>
    <img src="/css/img/icon_str.png"> <?=$item['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$item['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$item['hp'];?> 
    <small><?=$param;?></small>
    <div class="stats2">
	</div>
	<font color="#999999">Качество:</font> <?=$title_item[$item['set']];?><br>
	<font color="#999999">Руна:</font> <font color="<?=$color[$item['rune']];?>"><?=$rune_name[$item['rune']];?></font><br>
	<font color="#999999">Заточка:</font> <?=$item['smitch'];?><br>
	<div class="stats2">
	</div>
	<img src="/css/img/icon_str.png"> <font color="#999999">Сила:</font> <?=$item['power'];?><br> 
    <img src="/css/img/icon_def.png"> <font color="#999999">Защита:</font> <?=$item['def'];?><br> 
    <img src="/css/img/icon_hp.png"> <font color="#999999">Здоровье:</font> <?=$item['hp'];?><br> 
    </div>
    <a href="?new_item=<?=$item['id'];?>" class="click">Надеть</a>

	<a href="?delete_item=<?=$item['id'];?>" class="click">Продать за <img src="/css/img/silver.png"> <?=$silver_item[$item['set']];?></a>
	<div class="stats2">
	</div>
	<center><a href="/bag/">Вернуться назад</a></center>
	</div>
	</div>
<?

	foot([]);
	exit();
}
//
//
$count = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."'")->rowCount();
//
//
if(isset($_GET['delete_yes'])){
	$id = abs(intval($_GET['delete_yes']));
	//
	//
	$item2 = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],0,$id));
	if(!$item2){
		header('location:?');
		exit();
	}
//
//
DB::$dbs->query("UPDATE `users` SET `silver` = `silver` + ? WHERE `id` = ? LIMIT 1", array($silver_item[$item2['set']],$user['id']));
DB::$dbs->query("DELETE FROM `inv` WHERE `id` = ?", array($item2['id']));
//
//
		ok2("Вещь успешно продана");
		header('location:?');
		exit();
}
//
//
if(isset($_GET['delete_item'])){
	$id = abs(intval($_GET['delete_item']));
	//
	//
	$item2 = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],0,$id));
	if(!$item2){
		header('location:?item='.$item2['id']);
		exit();
	}
//
//
		err2("Вы действительно хотите продать вещь?</font><br><font color='".$color[$item2['set']]."'>".$item2['name']."</font> за <img src='/css/img/silver.png'> ".$silver_item[$item2['set']]." серебра<br><a href='?delete_yes=".$item2['id']."'><u>Да, подтверждаю</u></a>");
		header('location:?item='.$item2['id']);
		exit();
}
//
//
if(isset($_GET['delete_item_set'])){
	err2("Вы действительно хотите продать вещи?</font><br><font color='".$color[1]."'>Обычного</font>, <font color='".$color[2]."'>Редкого</font>, <font color='".$color[3]."'>Эпического</font> качества<br><a href='?item_set_sell'><u>Да, подтверждаю</u></a>");
		header('location:?');
		exit();
}
//
//
if(isset($_GET['new_item'])){
	$id = abs(intval($_GET['new_item']));
	//
	//
	$item2 = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `yes` = ? AND `id` = ? LIMIT 1", array($user['id'],0,$id));
	if(!$item2){
		header('location:?r='.$r);
		exit();
	}
//
//
	if($count >= 30){
		err2("У вас недостаточно места в рюкзаке, для того чтобы надеть вещь");
		header('location:?');
		exit();
	}

	$inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($item2['type'],1,$user['id']));
//
//
	if($inv){
//
$power = (($user['power']-$inv['power'])+$item2['power']);
$def = (($user['def']-$inv['def'])+$item2['def']);
$hp = (($user['hp']-$inv['hp'])+$item2['hp']);
//
DB::$dbs->query("UPDATE `users` SET `power` = ?, `def` = ?, `hp` = ? WHERE `id` = ? LIMIT 1", array($power,$def,$hp,$user['id']));
//
//
DB::$dbs->query("UPDATE `inv` SET `yes` = ? WHERE `id` = ? LIMIT 1", array(0,$inv['id']));
DB::$dbs->query("UPDATE `inv` SET `yes` = ? WHERE `id` = ? LIMIT 1", array(1,$item2['id']));
//
//
}else{
//
//
DB::$dbs->query("UPDATE `users` SET `power` = `power` + ?, `def` = `def` + ?, `hp` = `hp` + ? WHERE `id` = ? LIMIT 1", array($item2['power'],$item2['def'],$item2['hp'],$user['id']));
//
DB::$dbs->query("UPDATE `inv` SET `yes` = ? WHERE `id` = ? LIMIT 1", array(1,$item2['id']));
//
//
}
//
//
if($user['start'] == 2){
DB::$dbs->query('UPDATE `users` SET `start` = `start` + ?, `start_coll` = ? WHERE `id` = ? LIMIT 1', array(1,0,$user['id']));
}
if($user['start'] == 5){
DB::$dbs->query('UPDATE `users` SET `start` = `start` + ?, `start_coll` = ? WHERE `id` = ? LIMIT 1', array(1,0,$user['id']));
}
//
//
	ok2("Вещь успешно надета");
	header('location:?');
	exit();
}
//
//
$sql = DB::$dbs->query("SELECT * FROM `inv` WHERE `id_user` = '".$user['id']."' AND `yes` = '0' ORDER BY `set` DESC");
?>
<div class="poster -gas">
		    <div class="start">
		        
		        <?
		        		            		            if($user['start'] == 2){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Отлично, теперь нужно надеть снаряжение, чтобы стать сильнее
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Откройте рюкзак и наденьте снаряжение
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		           //
		           //
		           		        		            		            if($user['start'] == 3){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Твоя сила возрасла, пора сразиться с настоящим противником
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Вернитесь на главную
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		            //
		            //
		            		        		            		            if($user['start'] == 5){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Отлично, теперь нужно надеть снаряжение, чтобы стать сильнее
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Откройте рюкзак и наденьте снаряжение
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		            		           		        		            		            if($user['start'] == 6){
    ?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/start_mob_1.png" class="imgFight2" width="55" height="55">
    </div>
    Святой рыцарь
    <br>
    <font size="2" color="#777777">
    Поздравляю, вы закончили обучение
    </font>
    <br>
    <font color="#999999">
    <span style="float: left;">
    <small>
    Вернитесь на главную
    </small>
    </span>
    <br>
    </font>
    </div>
    <?
		            }
		            ?>
		        <center>
		            <span class="title-wqi">Рюкзак</span>
		        </center>
		<?
		//
		//
		if($count <= 0){
		    //
		    //
		?>
<div class="menu-not">
		     Ваш рюкзак пуст
		   </div>
		<?
		}
		//
		//
			foreach ($sql as $sqlls => $im){ 
			$inv = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `type` = ? AND `yes` = ? AND `id_user` = ? LIMIT 1", array($im['type'],1,$user['id']));
//
//
	$param_1 = $inv['power']+$inv['def']+$inv['hp'];
	$param_2 = $im['power']+$im['def']+$im['hp'];
	if($param_1 > $param_2){
		$param = "<font color='red'>(-".($param_1-$param_2).")</font>";
	}
	elseif($param_1 < $param_2){
		$param = "<font color='lime'>(+".($param_2-$param_1).")</font>";
	}
?>
    <div class="menu-not2">
    <div class="imgL">
    <img src="/css/img/items/<?=$im['set'];?>/<?=$im['type'];?>.png" width="40" height="40">
    </div> 
    <a href="?item=<?=$im['id'];?>">
    <u><font color="<?=$color[$im['set']];?>"><?=$im['name'];?></font></u>
    </a>
    <br>
    <img src="/css/img/icon_str.png"> <?=$im['power'];?> 
    <img src="/css/img/icon_def.png"> <?=$im['def'];?> 
    <img src="/css/img/icon_hp.png"> <?=$im['hp'];?> 
    <small><?=$param;?></small>
    </div>
    <a href="?new_item=<?=$im['id'];?>" class="click">Надеть</a>
	<div class="stats2"></div>			
<?
}
?>
	<?
		if($count >= 1){
		?>
	<center><a href="?delete_item_set">Продать ненужные вещи</a></center>
	<?
		}
	?>
			</div>
			</div>
<?
//
//
foot([]);
//
//
?>